Package com.google.protobuf

# Interface MapFieldBuilder.Converter<KeyT,MessageOrBuilderT extends MessageOrBuilder,MessageT extends MessageOrBuilderT>

Enclosing class:
  `MapFieldBuilder<KeyT,MessageOrBuilderT extends MessageOrBuilder,MessageT extends MessageOrBuilderT,BuilderT extends MessageOrBuilderT>`

public static interface MapFieldBuilder.Converter<KeyT,MessageOrBuilderT extends MessageOrBuilder,MessageT extends MessageOrBuilderT>
Convert a MessageOrBuilder to a Message regardless of which it holds.

## Method Summary

Modifier and Type
Method
Description
`MessageT`
`build(MessageOrBuilderT val)`
`MapEntry<KeyT,MessageT>`
`defaultEntry()`

## Method Details

### build

MessageT build(MessageOrBuilderT val)

### defaultEntry

MapEntry<KeyT,MessageT> defaultEntry()